#include "vars.h"

//Appelée depuis la routine assembleur
int test(void)     {
    //Renvoie l'état de la touche START
    return REG_TOUCHES&TOUCHE_START;
}

//Attend une touche
void WaitKey()      {
    while(!(REG_TOUCHES&TOUCHE_START));
    while(REG_TOUCHES&TOUCHE_START);
}

//Version "C"
void SetPixel(u32 x, u32 y, u32 couleur)        {
    MemVideo[x+y*240]=couleur;
}

int main(void)     {
    int x,y;
    //Les variables sont accessibles depuis une routine C
    var=0;
    var_c=15;
    //On appelle notre fonction ASM
    EffetCouleur();
    WaitKey();
    LaRoutineDeLaMort();
    WaitKey();
    EffetCouleur();
    WaitKey();
    for (y=0;y<160;y++)
        for (x=0;x<240;x++)
            DessinePixel(x,y,RGB(x,0,y));
    WaitKey();
    EffetCouleur();
    WaitKey();
    for (y=0;y<160;y++)
        for (x=0;x<240;x++)
            SetPixel(x,y,RGB(x,0,y));
    WaitKey();
    return 0;
}


